Search contacts
curl --request GET \
--url https://app.sajn.se/api/v1/contacts/search \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/contacts/search"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"ssn": "<string>",
"externalId": "<string>",
"companyRole": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"orgNumber": "<string>"
}
}
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}Contacts
Search contacts
Search for contacts by email, phone number, or external ID.
Query Parameters (at least one required):
email- Search by exact email address matchphone- Search by exact phone number matchexternalId- Search by exact external ID match
Response: Returns an array of matching contacts. Empty array if no matches found.
Note: All searches are exact matches and scoped to your organization.
GET
/
api
/
v1
/
contacts
/
search
Search contacts
Authorizations
oauth2bearerAuth
OAuth 2.0 access token for a connected application. Limited to the scopes granted at consent.
Headers
Bearer token for API authentication
Query Parameters
Response
200
Array of matching contacts
Show child attributes
Show child attributes
Was this page helpful?

